Name: garmin-sync
Version: 0.3	
Release: 1%{?dist}
Summary: Download data from Garmin fitness computers
Group: Applications/Communications
License: GPLv2+
URL: https://bugs.launchpad.net/garmin-sync
Source0: http://launchpad.net/garmin-sync/devel/%{version}/+download/garmin-sync-%{version}.tar.gz
Patch0: garmin-sync-unitid.patch
Patch1: garmin-sync-outdir.patch
Patch2: garmin-sync-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel
BuildArch: noarch
Requires: pyusb

%description
garmin-sync allows you to download information from your Garmin Edge
and Forerunner devices.

%prep
%setup -q
%patch0 -p1 -b .unitid
%patch1 -p1 -b .outdir
%patch2 -p1 -b .path

%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/garmin-sync
# install the files, strip shebang headers
for f in *.py ; do install -m 0644 $f $RPM_BUILD_ROOT/%{_datadir}/garmin-sync ; sed -i -e s'/^#!.*//' $RPM_BUILD_ROOT/%{_datadir}/garmin-sync/$f ; done

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 garmin-sync $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/garmin-sync
%{_datadir}/garmin-sync


%changelog
* Mon Jun 16 2008 Jeremy Katz <katzj@redhat.com> - 0.3-1
- Initial build
- Add patch from Launchpad #226300 to fix output format
- Add patch to allow installing
- Add patch to add --output-directory option
